Debian Bug report logs - #474680
aptitude: Gets stuck resolving dependencies

version graph

Package: aptitude; Maintainer for aptitude is Aptitude Development Team <aptitude-devel@lists.alioth.debian.org>; Source for aptitude is src:aptitude.

Reported by: Sven Joachim <svenjoac@gmx.de>

Date: Mon, 7 Apr 2008 07:39:02 UTC

Severity: grave

Merged with 477468

Found in versions aptitude/0.4.10-1, aptitude/0.4.11.1-1

Fixed in versions 0.4.11.2, aptitude/0.4.11.2-1

Done: Daniel Burrows <dburrows@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Sven Joachim <svenjoac@gmx.de>, Daniel Burrows <dburrows@debian.org>:
Bug#474680; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
New Bug report received and forwarded. Copy sent to Sven Joachim <svenjoac@gmx.de>, Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: aptitude: Gets stuck resolving dependencies
Date: Mon, 07 Apr 2008 09:24:03 +0200
Package: aptitude
Version: 0.4.11.1-1
Severity: important

Today's "aptitude safe-upgrade" failed, apparently aptitude gets into an
endless loop resolving the dependencies:

,----
| Reading package lists... Done
| Building dependency tree       
| Reading state information... Done
| Reading extended state information      
| Initializing package states... Done
| Reading task descriptions... Done  
| Resolving dependencies...
| Resolving dependencies...
| Resolving dependencies...
`----

And so on, until I killed it.  Please give instructions how to debug the
issue, for now I will refrain from upgrading packages through aptitude's
TUI.


-- System Information:
Debian Release: lenny/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.24.4
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages aptitude depends on:
ii  apt [libapt-pkg-libc6. 0.7.11            Advanced front-end for dpkg
ii  libc6                  2.7-10            GNU C Library: Shared libraries
ii  libcwidget3            0.5.9-1           high-level terminal interface libr
ii  libept0                0.5.17            High-level library for managing De
ii  libgcc1                1:4.3.0-3         GCC support library
ii  libncursesw5           5.6+20080308-1    Shared libraries for terminal hand
ii  libsigc++-2.0-0c2a     2.0.18-2          type-safe Signal Framework for C++
ii  libstdc++6             4.3.0-3           The GNU Standard C++ Library v3
ii  libxapian15            1.0.5-1           Search engine library
ii  zlib1g                 1:1.2.3.3.dfsg-11 compression library - runtime

Versions of packages aptitude recommends:
ii  aptitude-doc-en [aptitude-doc 0.4.11.1-1 English manual for aptitude, a ter
ii  libparse-debianchangelog-perl 1.1.1-2    parse Debian changelogs and output

-- no debconf information




Severity set to `grave' from `important' Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. (Mon, 07 Apr 2008 14:12:03 GMT) Full text and rfc822 format available.

Severity set to `grave' from `grave' Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. (Mon, 07 Apr 2008 14:12:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#474680; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <dburrows@debian.org>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #14 received at 474680@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: Sven Joachim <svenjoac@gmx.de>, 474680@bugs.debian.org
Subject: Re: Bug#474680: aptitude: Gets stuck resolving dependencies
Date: Mon, 07 Apr 2008 07:12:59 -0700
On Mon, Apr 07, 2008 at 09:24:03AM +0200, Sven Joachim <svenjoac@gmx.de> was heard to say:
> Package: aptitude
> Version: 0.4.11.1-1
> Severity: important
> 
> Today's "aptitude safe-upgrade" failed, apparently aptitude gets into an
> endless loop resolving the dependencies:

  I was wondering if this would bite anyone but me.
  
  It's not actually an infinite loop.  Since I'm *sure* you care, the
problem is that the mechanism safe-upgrade uses to ensure that it
consistently moves towards a solution is broken: it asks the resolver to
refuse solutions that don't install particular packages, but the resolver
then decides that it's ok to ignore recommends of those packages.
So you end up searching the whole power set of the set of unresolved
recommendations.  If you let it run for a weekend it might finish. :-)

  The good news is that this is fixed in mercurial head and will be in
the next aptitude upload.  The workaround is to use "full-upgrade" when
this happens, or to use the curses interface.

  Daniel




Tags added: pending Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. (Mon, 07 Apr 2008 14:15:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Daniel Burrows <dburrows@debian.org>:
Bug#474680; Package aptitude. Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to Daniel Burrows <dburrows@debian.org>. Full text and rfc822 format available.

Message #21 received at 474680@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Daniel Burrows <dburrows@debian.org>
Cc: 474680@bugs.debian.org
Subject: Re: Bug#474680: aptitude: Gets stuck resolving dependencies
Date: Mon, 07 Apr 2008 16:33:32 +0200
On 2008-04-07 16:12 +0200, Daniel Burrows wrote:

> On Mon, Apr 07, 2008 at 09:24:03AM +0200, Sven Joachim <svenjoac@gmx.de> was heard to say:
>> Today's "aptitude safe-upgrade" failed, apparently aptitude gets into an
>> endless loop resolving the dependencies:
>
>   I was wondering if this would bite anyone but me.
>   
>   It's not actually an infinite loop.  Since I'm *sure* you care, the
> problem is that the mechanism safe-upgrade uses to ensure that it
> consistently moves towards a solution is broken: it asks the resolver to
> refuse solutions that don't install particular packages, but the resolver
> then decides that it's ok to ignore recommends of those packages.
> So you end up searching the whole power set of the set of unresolved
> recommendations.

Aha, since the devscripts package has just converted all of its
"Suggests" to "Recommends", that's an explanation.

>   The good news is that this is fixed in mercurial head and will be in
> the next aptitude upload.  The workaround is to use "full-upgrade" when
> this happens, or to use the curses interface.

Indeed, "full-upgrade" seems to work fine.  I did not use it in the last
six months or so because it would try to upgrade packages that are
forbidden or on hold; but that problem seems to have been solved.

Cheers,
       Sven




Bug marked as found in version 0.4.10-1. Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. (Sat, 12 Apr 2008 15:57:06 GMT) Full text and rfc822 format available.

Bug marked as found in version 0.4.10-1+b1. Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. (Sat, 12 Apr 2008 15:57:08 GMT) Full text and rfc822 format available.

Bug marked as found in version 0.4.10-1+b2. Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. (Sat, 12 Apr 2008 15:57:09 GMT) Full text and rfc822 format available.

Reply sent to Daniel Burrows <dburrows@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Sven Joachim <svenjoac@gmx.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #32 received at 474680-done@bugs.debian.org (full text, mbox):

From: Daniel Burrows <dburrows@debian.org>
To: 474680-done@bugs.debian.org
Subject: Fixed in 0.4.11.2
Date: Sat, 12 Apr 2008 19:03:43 -0700
Version: 0.4.11.2

  The main reason for releasing this version was to close this bug, but
apparently I forgot to write the Closes line into the changelog.  D'oh.




Bug marked as fixed in version 0.4.11.2-1. Request was from Touko Korpela <tkorpela@phnet.fi> to control@bugs.debian.org. (Mon, 14 Apr 2008 00:27:02 GMT) Full text and rfc822 format available.

Forcibly Merged 474680 477468. Request was from Daniel Burrows <dburrows@debian.org> to control@bugs.debian.org. (Thu, 24 Apr 2008 14:21:05 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 14 Oct 2009 07:46:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 01:55:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.